
//  MiscellaneousArrayList.java (c) Kari Laitinen

//  www.naturalprogramming.com

//  2004-09-26  File created.
//  2015-11-16  LocalDate is used instead of Date.

import java.util.ArrayList ;
import java.time.LocalDate ;

class MiscellaneousArrayList
{
   public static void main( String[] not_in_use )
   {
      ArrayList<Object>  miscellaneous_objects  =  new  ArrayList<Object>() ;


      miscellaneous_objects.add( 555 ) ;
      miscellaneous_objects.add( 66.77 ) ;
      miscellaneous_objects.add( "This is a string literal." ) ;
      miscellaneous_objects.add( LocalDate.now() ) ;

      System.out.print( "\n Substring is: "  +

            ((String) miscellaneous_objects.get( 2 )).substring( 0, 3 ) 

            +  "\n" ) ;


      for ( int object_index  =  0 ;
                object_index  <  miscellaneous_objects.size() ;
                object_index  ++ )
      {
         System.out.print( "\n "
                   +  miscellaneous_objects.get( object_index ) ) ;
      }

      System.out.print( "\n\n" ) ;
   }
}





